@font-face {
    font-family: 'Pockefont';
    src: url('../assets/fonts/Pocket\ Monk.otf');
}

:root {
    --height_header: 60px;
    --main-color: rgb(237, 85, 100);
    --color-texto: antiquewhite;
    --color-body: rgba(2, 2, 2, 0.8);
    --color-element: rgb(30,30,30);
    --color-border: transparent;
    --invert: 1;
}

* {
    box-sizing: border-box;
}


html {
    font-family: Pockefont,monospace;
    font-size: 15px;
}

body {
    margin: 0;
    background-color: var(--color-body);
}

img {
    max-width: 100%;
}

/*=============================================== DARK MODE ===============================================*/
.container-dark-mode {
    position: absolute;
    top: calc(var(--height_header) + 1em);
    padding: 5px;

    background-color: #fafafa;
    border-top-right-radius: 10px;
    border-bottom-right-radius: 10px;
}
.dark-mode--label {
    width: 30px;
    height: 30px;
    display: inline-block;
}

.dark-mode {
    display: none;
}

.img-dark-mode,
.img-light-mode {
    cursor: pointer;
}

.img-dark-mode {
    display: none;
}

.dark-mode:checked + .container-all > .container-dark-mode > .dark-mode--label > .img-light-mode {
    display: none;
}

.dark-mode:checked + .container-all > .container-dark-mode > .dark-mode--label > .img-dark-mode {
    display: block;
}

.dark-mode:checked + .container-all {
    --color-texto: #222;
    --color-body: #fafafa;
    --color-element: #fff;
    --color-border: grey;
    --invert: 0;
}

.container-all {
    background-color: var(--color-body);
    color: var(--color-texto);
}

.dark-mode:checked + .container-all > .container-dark-mode {
    background-color: rgba(2, 2, 2, 0.8);
}


/*================================================ HEADER ================================================*/
.header {
    position: sticky;
    top: 0;
    left: 0;
    z-index: 1;

    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-items: center;
    /* width: 100vw; */
    padding-left: 1em;
    padding-right: 1em;
    margin-bottom: 1em;

    letter-spacing: 0.2em;

    background-color: var(--color-element);
    box-shadow: black 5px 5px 4px;
}

.logo {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 30px;
}

.logo_container {
    width: var(--height_header);
    height: var(--height_header);
    padding: 1px;
}

.header_title {
    margin: 0;
}

.toggle-menu {
    position: relative;
    z-index: 1;
    width: var(--height_header);
    padding-top: 7px;

    filter: invert(var(--invert));
    cursor: pointer;
}

@media screen and (min-width:775px) {
    .toggle-menu {
        display: none;
    }
}
 /*============================================ Header - menu ============================================*/
.lista_nav {
    position: absolute;
    top: 0;
    right: 0;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding-left:0 ;
    padding-top: 0;
    padding-bottom: 0;
    margin-bottom: 0;
    margin-top: 0;
    height: 100vh;
    width: 100vw;

    letter-spacing: 0.2em;
    
    background-color: rgb(0 0 0 / 0.95);

    list-style-type: none;
    transition: transform 0.3s;
    transform:translateY(-100%);
}

@media screen and (min-width:775px) {
    .lista_nav{
        position: static;

        flex-direction: row;
        width: auto;
        height: auto;

        background-color: transparent;

        transform:translateY(0);
    }
}

.lista_nav_item {
    padding: 1em;
}

.toggle-menu-checkbox:checked + .lista_nav {
    transform:translateY(0);
}

.toggle-menu-checkbox {
    display: none;
}

.header_nav_ul_li_a {
    text-decoration: none;
    color: var(--color-texto);
}

.toggle-menu-checkbox:checked + .lista_nav >.lista_nav_item > .header_nav_ul_li_a {
    color: antiquewhite;
}

.lista_nav_item {
    width: 100%;
    border: 2px solid transparent;
    border-radius: 10px;
}

.header_nav_ul_li_a {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    align-items: center;
    gap: 10px;
}

.lista_nav_item:hover {
    border-color:var(--main-color);
}

/*======================================== Header - Barra Busqueda ========================================*/

.form-search {
    padding-left: 1rem;
}
.form-search__input {
    width: 100px;
    padding: 5px;
    display: none;

    outline: none;
    border-radius: 1rem;
    color: black;
    border: 3px solid var(--main-color);

    font-family: 'Ubuntu',sans-serif,monospace;

    appearance: none;
}

@media screen and (min-width:500px) and (max-width:680px) {
    .form-search__input {
        display: inline;
}
    .form-search__input:hover {
    width: 140px;
    transition: width 1s;
}
}

@media screen and (min-width:681px) {
    .form-search__input {
        display: inline;
}

    .form-search__input:hover {
    width: 250px;
    transition: width 1s;
}
}

@media screen and (min-width:775px) and (max-width:1009px) {
    .form-search {
        display: none;
}

    .form-search__input:hover {
    width: 300px;
    transition: width 1s;
}
}

@media screen and (min-width:1010px) {
    .form-search__input {
        display: inline;
}

    .form-search__input:hover {
    width: 200px;
    transition: width 1s;
}
}

@media screen and (min-width:1120px) {
    .form-search__input {
        display: inline;
}

    .form-search__input:hover {
    width: 300px;
    transition: width 1s;
}
}

@media screen and (min-width:1300px) {
    .form-search__input {
        display: inline;
}

    .form-search__input:hover {
    width: 400px;
    transition: width 1s;
}
}
/*================================================ GRID =================================================*/  
.grid {
    display: grid;
    grid-template-columns: 100%;
}

@media screen and (min-width:1010px) {
    .grid {
        grid-template-columns: 60% 30%;
        grid-template-rows: auto auto;
    }
}
/*================================================= CARDS =================================================*/
.article {
    margin-bottom: 1em;
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    max-width: 616px;
    max-height: 870px;
    border: 1px solid var(--color-border);

    border-radius: 5%;
    
    letter-spacing: 0.2em;

    background-color: var(--color-element);
    box-shadow: var(--main-color) 5px 5px 4px;
}

@media screen and (min-width:1010px) {
    .article {
        margin-right: 5px;
    }
}

.article_header{
    display: flex;
    justify-content: space-between;
    padding: 0.5rem 1rem;
    /* box-shadow: black 0 5px 4px; */
}

.profile-name {
    display: flex;
    align-items: center;
    gap: 3%;
    width: 200px;
}

.article_header_info {
    font-size: 1rem;
}

.article-header__address {
    margin: 0;
    
    color: grey;

    font-family: 'Ubuntu',sans-serif,monospace;
    font-size: 0.8em;
    text-decoration: none;
    letter-spacing: normal;
}

.article_username {
    margin: 0;
    cursor: pointer;
}
.article_header_container_image{
    height: 40px;
    width: 40px;
    border-radius: 50%;
    border: 1px solid rgb(237,85,100);
    overflow: hidden;
    background-color: #fff;

    cursor: pointer;
}

.article_header_image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.container-image {
    width: 40px;
    height: 40px;

    filter: invert(var(--invert));
    cursor: pointer;
}

.article_img {
    width: 100%;
    height: 70%;
    max-height: 300px;
    object-fit: cover;
}

.container-image_small {
    width: 25px;
    height: 25px;

    filter: invert(var(--invert));
    cursor: pointer;
}

.reactions {
    display: flex;
    align-items: center;
    gap: 5px;
}

.actions {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 1rem;
}

.article_div_container {
    display: inline-block;
    padding: 1rem 1rem 0;
    overflow-y: auto;

    font-family: 'Ubuntu',sans-serif,monospace;
    letter-spacing: normal;
    text-align: justify;
}

.article_title_3,
.article_description {
    display: inline;
    font-size: 1rem;
    margin: 0;
}

.article_title_3 {
    cursor: pointer;
}

.more_messages {
    color: #999;
    font-size: 90%;
    margin: 0;
    margin-top: 1rem;
    margin-bottom: 0.5rem;

    letter-spacing: inherit;

    cursor: pointer;
}

.article_add_message {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 2%;
    height: 8vh;
    padding: 0 1rem;
}

.article_add_message_container {
    height: 30px;
    width: 30px;
    border-radius: 50%;
    border: 1px solid rgb(237,85,100);

    background-color: #fff;

    cursor: pointer;
}

.article_img_message {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.form-coment {
    flex-grow: 1;
    display: flex;
    justify-content: space-between;
    align-items: stretch;
}

.article_message {
    width: 80%;
    height: 100%;
    
    border: none;
    outline: none;
    border-radius: 5px;
    color: var(--color-texto);
    font-family: 'Ubuntu',sans-serif,monospace;
    background-color: transparent;

    font-size: 1rem;
}

.form-coment__submit {
    border-radius: 5px;
    border: none;
    background-color: transparent;
    color: var(--color-texto);
    border: 1px solid var(--main-color);

    cursor: pointer;
}

.article_footer {
    height: 5%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    padding: 0 1rem 0.5rem;

    font-family: 'Ubuntu',sans-serif,monospace;
    letter-spacing: normal;
    
    color: #808080;
}
/*======================================== CONTENEDOR ASIDE-FOOTER ========================================*/
.container {
    position: sticky;
    top: calc(var(--height_header) + 1em);

    max-height: 500px;
}
/*================================================= ASIDE =================================================*/
.extra-profile {
    display: none;
    max-height: 400px;
    padding-top: 2em;
    padding-left: 1rem;
    margin-bottom: 1rem;

    letter-spacing: 0.2em;
}

.profile-name--auto {
    display: flex;
    align-items: center;
    gap: 1rem;
}
.article_header_container_image--big {
    height: 60px;
    width: 60px;
    border-radius: 50%;
    border: 1px solid rgb(237,85,100);
    overflow: hidden;
    background-color: #fff;

    cursor: pointer;
}

.ajuste {
    color: lightseagreen;

    font-family: 'Ubuntu',sans-serif,monospace;
    letter-spacing: normal;
    font-weight: 600;

    cursor: pointer;
}

.extra-profile_sugerencias {
    margin: 0;
    display: inline-block;

    font-family: 'Ubuntu',sans-serif,monospace;
    letter-spacing: normal;
    font-size: 1rem;

    color: grey;
}

.article_header-nopdv {
    display: flex;
    justify-content: space-between;
    padding:0 1rem;
}

.article_header--pd2 {
    display: flex;
    justify-content: space-between;
    padding-right: 1rem;
    margin: 1rem 0;
}

.extra-profile_enlace {
    font-family: 'Ubuntu',sans-serif,monospace;
    letter-spacing: normal;
    text-decoration: none;
    color: var(--color-texto);
    font-weight: 600;
}

@media screen and (min-width:1000px) {
    .extra-profile {
        display: block;
    }
}
/*================================================ FOOTER ================================================*/
.footer {
    display: none;
    grid-column: 2/3;
    padding-left: 2rem;
    width: 70%;

    color: rgb(128 128 128 / 0.6);
}

.footer__lista {
    margin: 0;
    padding: 0;
    list-style-type: none;
}

.footer__item {
    display: inline;
}

.footer__item::after {
    content: "·";
}

.footer__enlace {
    font-family: 'Ubuntu',sans-serif,monospace;
    letter-spacing: normal;
    text-decoration: none;
    color: inherit;
    font-size: 0.9rem;
}

@media screen and (min-width:1000px) {
    .footer {
        display: block;
    }
}
